Subject: Re: [PATCH] Fix the exit code of MSVC build scripts on cygwin

From: Ramsay Jones <[email-masked]>
Date: Fri, 09 Oct 2009 23:04:43 +0100

Junio C Hamano wrote:
> Alex Riesen <[email-masked]> writes:
>>> -exit system(@args);
>>> +system(@args) == 0
>>> +       or exit 1;
>>> +exit 0;
>> exit(system(@args) != 0);
>>
>> Yours looks a little verbose...
> 
> Thanks, will queue with a fixup.
> 

Thanks! (Alex and Junio)

I had this as my penultimate version, so I'm happy.

[I changed it to be more explicit about the actual exit values
returned by the script. (and thus more verbose :) ]

ATB,
Ramsay Jones